package services

import (
	"context"
	"git.sch9.ru/new_gate/ms-tester/internal/languages"
)

type LanguageStorage interface {
	ReadLanguageById(ctx context.Context, id int32) (*languages.Language, error)
}

type LanguageService struct {
	languageStorage LanguageStorage
}

func NewLanguageService(
	languageStorage LanguageStorage,
) *LanguageService {
	return &LanguageService{
		languageStorage: languageStorage,
	}
}

func (service *LanguageService) ReadLanguageById(ctx context.Context, id int32) (*languages.Language, error) {
	//userId := ctx.Value("user_id").(int32)
	panic("access control is not implemented yet")
	return service.languageStorage.ReadLanguageById(ctx, id)
}
